#define VERSION "0.11"


#define WEAPON_TYPES 8 //do not change
enum
{
	WEAPON_MOVEMENT = 0,
	WEAPON_MELEE,
	WEAPON_RIFLE,
	WEAPON_ROCKET,
	WEAPON_GRENADE,
	WEAPON_EXPLOSIVE,
	WEAPON_AIRCRAFT,
	WEAPON_SPECIAL
}

#define MAX_WIND 100 //wind power, will move some rockets/bullets
#define GRAVITY 100 //weapon gravity

// register new weapon
native worms_register_weapon(const weapon_name[],type,default_count,cost)

native worms_get_user_ammo(id,weaponid)
native worms_set_user_ammo(id,weaponid,value)

// ammo = ammo - 1
native worms_use_user_ammo(id,weaponid)

// return true, if player is allowed to fire
native worms_allow_fire(id)


native worms_get_wind_power()
native worms_get_wind_direction()

// player is locked, when he use his turn
native worms_is_user_locked(id)

// return enum type of weapon
native worms_get_weapon_type(weaponid)

// disable player(he can't move or fire)
native worms_lock_player(id,Float:delay)


// connection between core plugin and weapon plugins
forward worms_weapon_selected(id,weaponid)

// variables for weapon plugins
native worms_set_active_weapon(id, weaponid)
native worms_set_allowfire(id, value)
native worms_set_weapon_ignore(id, bool:value)
native worms_set_incharge(id, Float: value)

native worms_get_active_weapon(id)
native worms_get_allowfire(id)
native bool:worms_get_weapon_ignore(id)
native Float:worms_get_incharge(id)

// id for some special item classes
#define WORMS_WEAPON 73
#define WORMS_CRATE 72
#define WORMS_RIP 70 

// pev_XuserY values are used for weapon parameters
#define pev_weaponclass pev_iuser1
#define pev_weaponowner pev_iuser2
#define pev_worms pev_iuser4
#define pev_shift pev_fuser1
#define pev_damage pev_fuser2

//
// some another constants
//

// CS Player PData Offsets (win32)
#define OFFSET_PAINSHOCK 108 // ConnorMcLeod
#define OFFSET_CSTEAMS 114
#define OFFSET_CSMONEY 115
#define OFFSET_FLASHLIGHT_BATTERY 244
#define OFFSET_CSDEATHS 444
#define OFFSET_MODELINDEX 491 // Orangutanz

// CS Player CBase Offsets (win32)
#define OFFSET_ACTIVE_ITEM 373

// CS Weapon CBase Offsets (win32)
#define OFFSET_WEAPONOWNER 41

// Linux diff's
#define OFFSET_LINUX 5 // offsets 5 higher in Linux builds
#define OFFSET_LINUX_WEAPONS 4 // weapon offsets are only 4 steps higher on Linux

// CS Teams
enum
{
	FM_CS_TEAM_UNASSIGNED = 0,
	FM_CS_TEAM_T,
	FM_CS_TEAM_CT,
	FM_CS_TEAM_SPECTATOR
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1049\\ f0\\ fs16 \n\\ par }
*/
